TYPO3 Security Bulletin

2009-06-16T00:00:00
ID TYPO3-SA-2009-006
Type typo3
Reporter TYPO3 Association
Modified 2009-06-16T00:00:00

Description

It has been discovered that the extension CWT Community (cwt_community) is vulnerable to SQL-injections.

Release Date: June 16 2009

Component Type: Third party extension. This extension is not a part of the TYPO3 default installation.

Affected Versions: Version 1.0.3 and all versions below

Vulnerability Type: SQL injection

Severity: HIGH

Problem Description: Failing to filter user input the extension is open to SQL Injections.

Solution: An updated version 1.0.4 is available from the TYPO3 extension manager and at <http://typo3.org/extensions/repository/view/cwt_community/1.0.4/>. Users of the extension are advised to update the extension as soon as possible.

General advice: Follow the recommendations that are given in the TYPO3 Security Cookbook. Please subscribe to the typo3-announce mailing list to receive future Security Bulletins via E-mail.

Credits: Credits go to Bernd Wilke who discovered and reported the issue.